/* Grunddesign */
body {
  margin: 0;
  font-family: 'Montserrat', sans-serif;
  color: #fff;
  background: #f2f2f2;
  text-align: center;
}

/* Header (Hero Section) */
.hero {
  position: relative;
  height: 100vh;
  background: url('images/header2.jpg') center/cover no-repeat;
  display: flex;
  align-items: center;
  justify-content: center;
}

.overlay {
  background: rgba(0, 0, 0, 0.6);
  padding: 2rem;
  border-radius: 12px;
}

.logo {
  width: 250px;
  margin-bottom: 1rem;
}

h1 {
  font-size: 3rem;
  margin: 0.5rem 0;
}

.contact a {
  color: #ede5ac;
  text-decoration: none;
  font-weight: bold;
}

.socials {
  margin-top: 1rem;

}

.socials a {
  margin: 0 30px;
  font-size: 3rem;
  color: #ede5ac;
  transition: color 0.3s ease;
}

.socials a:hover {
  color: #ffcc00;
  font-size: 3rem;
  color: #ffffff;
  transition: color 0.3s ease;
}

/* Content Sections */
.about {
  padding: 3rem 1rem;
  max-width: 800px;
  margin: auto;
  color: #000
}

.about h2 {
  font-size: 2rem;
  margin-bottom: 1rem;
}

.footer {
  padding: 1.5rem;
  font-size: 0.9rem;
  background: #000;
}

body.impressum {
  color: #000;
}

body.datenschutz {
  color: #000;
}

.footer a {
  color: #fff;           /* normale Farbe Weiß */
  text-decoration: none; /* Unterstreichung entfernen (optional) */
  transition: color 0.3s; /* sanfter Hover-Effekt */
}

.footer a:hover {
  color: #ddd;           /* Farbe beim Hover etwas heller */
}

.btn-back {
  display: inline-block;
  padding: 10px 20px;
  background-color: #000; /* schwarze Hintergrundfarbe */
  color: #fff;            /* weiße Schrift */
  text-decoration: none;   /* Unterstreichung entfernen */
  border-radius: 5px;      /* abgerundete Ecken */
  transition: background-color 0.3s, color 0.3s;
  margin-top: 20px;
}

.btn-back:hover {
  background-color: #fff;  /* Hintergrund beim Hover weiß */
  color: #000;             /* Schrift beim Hover schwarz */
}

/* Mobile Optimierung */
@media (max-width: 768px) {
  h1 {
    font-size: 2rem;
  }

  .logo {
    width: 80px;
  }
}
